Cambrionix connect
Developers
Settings API

Metadata Properties

View and manage metadata properties.

List Organization Metadata Properties

GET

/settings/v1/metadata-properties

List all Organization Metadata Properties

Requires a bearer access token for this API with the Organization.Settings.MetadataProperty.Read permission. See Authentication.

Parameters

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobject[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired
messagestringrequired
detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/settings/v1/metadata-properties" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get a Organization Metadata Property

GET

/settings/v1/metadata-properties/{metadataPropertyId}

Get a Organization Metadata Property by Id

Requires a bearer access token for this API with the Organization.Settings.MetadataProperty.Read permission. See Authentication.

Parameters

metadataPropertyIdstringpathrequired

Path parameter

Responses

200
object
resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired
messagestringrequired
detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/settings/v1/metadata-properties/{metadataPropertyId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Update a Organization Metadata Property

PATCH

/settings/v1/metadata-properties/{metadataPropertyId}

Update a Organization Metadata Property by Id

Requires a bearer access token for this API with the Organization.Settings.MetadataProperty.Write permission. See Authentication.

Parameters

metadataPropertyIdstringpathrequired

Path parameter

Request body

object
descriptionstring
namestring
schemaany of

Responses

200
object
resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired
messagestringrequired
detailstringrequired

Try it

curl -X PATCH "https://connect.cambrionix.com/api/settings/v1/metadata-properties/{metadataPropertyId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "description": "string",
  "name": "string",
  "schema": {
    "description": "string",
    "title": "string",
    "default": true,
    "type": "boolean"
  }
}'

Delete a Organization Metadata Property

DELETE

/settings/v1/metadata-properties/{metadataPropertyId}

Delete a Organization Metadata Property by Id

Requires a bearer access token for this API with the Organization.Settings.MetadataProperty.Delete permission. See Authentication.

Parameters

metadataPropertyIdstringpathrequired

Path parameter

Responses

200
object
resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired
messagestringrequired
detailstringrequired

Try it

curl -X DELETE "https://connect.cambrionix.com/api/settings/v1/metadata-properties/{metadataPropertyId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Create a Organization Metadata Property

POST

/settings/v1/metadata-property

Create a new organization metadata property.

Requires a bearer access token for this API with the Organization.Settings.MetadataProperty.Write permission. See Authentication.

Request body

object
namestringrequired
schemaany ofrequired

Responses

200
object
resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired
messagestringrequired
detailstringrequired

Try it

curl -X POST "https://connect.cambrionix.com/api/settings/v1/metadata-property" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "schema": {
    "description": "string",
    "title": "string",
    "default": true,
    "type": "boolean"
  }
}'